###  | # Boost.Threads ## Index

## Contents

Overview
Mutex Concepts

Mutex
TryMutex
TimedMutex

Lock Concepts

Lock
ScopedLock
ScopedTryLock
ScopedTimedLock

Reference

`<boost/thread/condition.hpp>`

Classes

`condition`

`<boost/thread/exceptions.hpp>`

Classes

`lock_error`
`thread_resource_error`

`<boost/thread/mutex.hpp>`

Classes

`mutex`
`try_mutex`
`timed_mutex`

`<boost/thread/once.hpp>`

Macros

`BOOST_ONCE_INIT`

Types

`once_flag`

Functions

`call_once`

`<boost/thread/recursive_mutex.hpp>`

Classes

`recursive_mutex`
`recursive_try_mutex`
`recursive_timed_mutex`

`<boost/thread/thread.hpp>`

Classes

`thread`
`thread_group`

`<boost/thread/tss.hpp>`

Classes

`thread_specific_ptr`

`<boost/thread/xtime.hpp>`

Values

`TIME_UTC`

Classes

`xtime`

Functions

`xtime_get`

Configuration Information
Building and Testing
Introduction to Design
Rationale
Definitions
Frequently Asked Questions (FAQs)
Bibliography
Acknowledgments

Revised 05 November, 2001

© Copyright William E. Kempf 2001-2002. All Rights Reserved.

Permission to use, copy, modify, distribute and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. William E. Kempf makes no representations about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.